local StepParent = require "scenes.battlesystem.controllers.fighters.systems.choregraphy.step.parent"
local JumpBackStep = StepParent:extend()

function JumpBackStep:new(controller, args)
  JumpBackStep.super.new(self, controller, args)
end

function JumpBackStep:start()

  self.choregraphy.actor:jumpBack()

  if (self.arguments.blockProcess == false) then
    self:finish()
  else
    self.choregraphy.actor:blockChoregraphy(self.arguments.blockProcess, self, "jump")
  end
end

function JumpBackStep:update(dt)

end

function JumpBackStep:getSignal(signal)

end

return JumpBackStep;
